RelationCoDomainRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class RelationCoDomainRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.RelationExpression
                  fr.inrialpes.exmo.align.impl.edoal.RelationRestriction
                      fr.inrialpes.exmo.align.impl.edoal.RelationCoDomainRestriction

All Implemented Interfaces:
  ValueExpression, Cloneable, Visitable

    public class RelationCoDomainRestriction

extends RelationRestriction

Represents a coDomainRestriction tag for RelationExpressions.

$Id: RelationCoDomainRestriction.java,v 1.3 2006/11/15 16:01:17 poettler_ric Exp $

Version:
  $Revision: 1.4 $
Author:
  Richard Pöttler

Field Summary
`protected ClassExpression` | `codomain`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`RelationCoDomainRestriction()` Constructs a coDomainRestriction with the given restriction.
`RelationCoDomainRestriction(ClassExpression cod)` Constructs a coDomainRestriction with the given restriction.

Method Summary
`ClassExpression` | `getCoDomain()`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.RelationRestriction
`accept`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codomain

    protected ClassExpression codomain

Constructor Detail

### RelationCoDomainRestriction

    public RelationCoDomainRestriction()

  Constructs a coDomainRestriction with the given restriction.

  Parameters:
    `restriction` - the restriction for the domain
  Throws:
    `NullPointerException` - if the restriction is null

### RelationCoDomainRestriction

    public RelationCoDomainRestriction(ClassExpression cod)

  Constructs a coDomainRestriction with the given restriction.

  Parameters:
    `res` - the restriction for the domain
    `target` - the target expression which should be restricted
  Throws:
    `NullPointerException` - if the restriction is null

Method Detail

### getCoDomain

    public ClassExpression getCoDomain()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010